package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.BisHazMajRegWritNewMapper;
import com.goldenwater.slaj.hazard.domain.BisHazMajRegWritNew;
import com.goldenwater.slaj.hazard.service.IBisHazMajRegWritNewService;

/**
 * 备案核销新版本 服务层实现
 */
@Service
public class BisHazMajRegWritNewServiceImpl implements IBisHazMajRegWritNewService {

    @Autowired
    private BisHazMajRegWritNewMapper bisHazMajRegWritNewMapper;

    /**
     * 查询备案核销新版本信息
     * @param guid 查询条件
     * @return 备案核销新版本信息
     */
    @Override
    public BisHazMajRegWritNew selectBisHazMajRegWritNewByGuid(String guid) {
        return bisHazMajRegWritNewMapper.selectBisHazMajRegWritNewByGuid(guid);
    }

    /**
     * 查询备案核销新版本列表
     * @param bisHazMajRegWritNew 备案核销新版本查询条件
     * @return 备案核销新版本集合
     */
    @Override
    public List<BisHazMajRegWritNew> selectBisHazMajRegWritNewList(BisHazMajRegWritNew bisHazMajRegWritNew) {
        return bisHazMajRegWritNewMapper.selectBisHazMajRegWritNewList(bisHazMajRegWritNew);
    }

    /**
     * 新增备案核销新版本
     * @param bisHazMajRegWritNew 备案核销新版本信息
     * @return 影响行数
     */
    @Override
    public int insertBisHazMajRegWritNew(BisHazMajRegWritNew bisHazMajRegWritNew) {
        return bisHazMajRegWritNewMapper.insertBisHazMajRegWritNew(bisHazMajRegWritNew);
    }

    /**
     * 修改备案核销新版本
     * @param bisHazMajRegWritNew 备案核销新版本信息
     * @return 影响行数
     */
    @Override
    public int updateBisHazMajRegWritNew(BisHazMajRegWritNew bisHazMajRegWritNew) {
        return bisHazMajRegWritNewMapper.updateBisHazMajRegWritNew(bisHazMajRegWritNew);
    }

    /**
     * 删除备案核销新版本
     * @param guid 备案核销新版本主键
     * @return 影响行数
     */
    @Override
    public int deleteBisHazMajRegWritNewByGuid(String guid) {
        return bisHazMajRegWritNewMapper.deleteBisHazMajRegWritNewByGuid(guid);
    }

    /**
     * 批量删除备案核销新版本
     * @param guids 备案核销新版本主键数组
     * @return 影响行数
     */
    @Override
    public int deleteBisHazMajRegWritNewByGuids(String[] guids) {
        return bisHazMajRegWritNewMapper.deleteBisHazMajRegWritNewByGuids(guids);
    }
}
